unit Unit4;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, dbf, db, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, DBCtrls, fpspreadsheet, fpsTypes, fpsallformats, fpspreadsheetctrls;

type

  { Texerciselist }

  Texerciselist = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    btnClickMe: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Panel1: TPanel;
    Splitter1: TSplitter;
    procedure btnClickMeClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure CheckBox2Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private

  public

  end;

var
  exerciselist: Texerciselist;

implementation

{$R *.lfm}

{ Texerciselist }

procedure Texerciselist.CheckBox1Change(Sender: TObject);
begin
  if checkbox1.checked = true
   then
     button1.enabled:=True;
  if checkbox1.checked = False
    then
     button1.Enabled:=False;
  // enter delete from database exercise info here
end;

procedure Texerciselist.CheckBox2Change(Sender: TObject);
begin
    if checkbox2.checked = true
   then
     button2.enabled :=True;
  if checkbox2.checked = False
    then
     button2.Enabled :=False;
end;

procedure Texerciselist.ComboBox1Change(Sender: TObject);
begin
 // put read database info here maybe?
end;

procedure Texerciselist.Button1Click(Sender: TObject);
begin
   if combobox1.Caption ='Exercises in Database'
   then
    label3.Caption := 'Please select Exercise'
      else
        label3.caption := 'Exercise deleted from Log';

  // else put delete log code here
  // enter add data to database exercise info here
end;

procedure Texerciselist.btnClickMeClick(Sender: TObject);
const
  DataFile = 'exlist.ods';
var
  MyWorkbook : TsWorkbook;
  S          : string;
  i          : Integer;
begin
  S := '';
  MyWorkbook := TsWorkbook.Create;
  MyWorkbook.ReadFromFile(DataFile, sfOpenDocument);
  for i := 0 to MyWorkbook.ActiveWorksheet.GetLastRowIndex do
    S := S + MyWorkbook.ActiveWorksheet.ReadAsText(i, 0) + LineEnding;
  ShowMessage(S);
  MyWorkbook.Free;
end;

procedure Texerciselist.Button2Click(Sender: TObject);
begin
    if edit1.text ='Type new exercise name then click below'
   then
    label4.Caption := 'Please type new exercise'
      else
        label4.caption := 'Exercise added to Log';

  // else put add log code here
end;

procedure Texerciselist.Button3Click(Sender: TObject);
begin
  exerciselist.close;
end;

procedure Texerciselist.FormClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  combobox1.Caption :='Exercises in Database' ;
  edit1.Caption :='Type new exercise name then click below';
  label3.Caption :='Status:';
  label4.Caption :='Status:';
  checkbox1.Checked := false;
  checkbox2.Checked := false;

end;

end.

